Início > servidor de aplicação > Configurando o Wildfly 8 no Eclipse Kepler

Configurando o Wildfly 8 no Eclipse Kepler

Neste tutorial, vou assumir que o servidor de aplicação já foi descompactado em algum diretório da sua máquina.

O Wildfly 8 está suportado no Eclipse Kepler através do pacote JBossAS Tools.

Adicionando o Wildfly 8 no Kepler

  • Na aba Servers, clique com o botão direito do mouse, selecione New e clique em Server;
Novo Servidor

Configurando Novo Servidor

  • Na janela que aparece, clique em Download additional server adapters;
Adicionando adaptadores de servidores de aplicação

Adicionando adaptadores de servidores de aplicação

  • Aguarde o Eclipse procurar os adaptadores, clique em JBossAS Tools e em Next;

Seleção JBossAS Tools

  • Marque a opção que aceita os termos da licença e clique em Finish;

Aceitação de Termos de Licença

  • O Eclipse pedirá a confirmação de que você deseja instalar. Clique em OK;
Confirmação de Instalação

Confirmação de Instalação

  • Como a autenticidade do pacote a ser instalado não pôde ser verificada, o Eclipse pede uma nova confirmação. Clique em OK;
Confirma Instalação de Software Não Validado

Confirma Instalação de Software Não Validado

  • Após a instalação, o Eclipse exibirá uma mensagem pedindo para reiniciar a aplicação. Confirma que deseja fazer isso clicando em Yes;
Reiniciar Eclipse

Reiniciar Eclipse

  • Depois que o Eclipse reiniciar, na aba Servers, clique com o botão direito do mouse, selecione New e clique em Server;
Configurando Novo Servidor

Configurando Novo Servidor

  • Na janela que surge, clique em JBoss Community, Wildfly 8.0 e depois em Next;

Selecionar Wildfly

  • Clique em Browse para informar o caminho para a pasta raiz do Wildfly e a JDK que deve ser usada. Se não apareceu a opção de JDK no campo, clique no botão JRE do lado direito para informar um. Clique em Finish;

Informar caminho para o Wildfly e JRE

  • Observe que o Wildfly já aparece entre os servidores de aplicação configurados no Eclipse.

Wildfly configurado no Eclipse

Pronto! Agora você conta com um servidor JavaEE 7 homologado entre suas opções para deploy.

Anúncios
  1. george
    30/10/2014 às 09:44

    para usar o Wildfly é obrigatorio o uso do java 8 ?

  2. 30/10/2014 às 10:30

    Olá George. Você pode usar perfeitamente o Java SE 7. A própria documentação do produto diz isso. https://docs.jboss.org/author/display/WFLY8/Getting+Started+Guide

  1. No trackbacks yet.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s

%d blogueiros gostam disto: